设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

返回列表
查看: 230|回复: 3

[LISP程序]:批量修改尺寸标注显示精度的小程序:

[复制链接]

该用户从未签到

发表于 2003-6-6 12:25:32 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
批量修改尺寸标注显示精度的小程序:
(defun c:test ()
  (vl-load-com)
  (if pre nil (setq pre 2))
  (princ "\nInput Precision Value:<")
  (princ pre)
  (setq pre0 (getstring ">:"))
  (if (/= pre0 "")(setq pre pre0))
  (princ "\nSelect Dimension:")
  (setq ents (ssget) n 0)
  (while (< n (sslength ents))
    (setq ent (vlax-ename->vla-object (ssname ents n)))
    (vlax-put-property ent 'primaryunitsprecision pre)
    (setq n (1+ n))
  );
  (princ)
);defun


上一篇:[求助]:如何给圆标注直径
下一篇:[文章]:程序在CAD2000下
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复
百度谷歌雅虎搜狗搜搜有道360奇虎

使用道具 举报

签到天数: 302 天

连续签到: 2 天

[LV.8]以坛为家I

已领礼包: 86个

财富等级: 招财进宝

发表于 2017-8-8 11:01:35 | 显示全部楼层
谢谢楼主分享,我从中找到获取精度的方法
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 1811 天

连续签到: 840 天

[LV.Master]伴坛终老I

已领礼包: 5428个

财富等级: 富甲天下

发表于 2017-9-23 00:04:40 | 显示全部楼层
谢谢分享。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

签到天数: 73 天

连续签到: 5 天

[LV.6]常住居民II

发表于 2018-1-13 10:50:36 | 显示全部楼层
谢谢分享谢谢分享谢谢分享谢谢分享
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|Archiver|手机版|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

辽公网安备 21040202000005号

GMT+8, 2018-4-21 09:59 , Processed in 0.739300 second(s), 79 queries , Gzip On.

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表